## AnjutaCPluginFactory AnjutaCPluginFactory — Anjuta C plugin factory |

## Stability Level

Unstable, unless otherwise indicated

## Functions

AnjutaCPluginFactory * | anjuta_c_plugin_factory_new ()
void | anjuta_c_plugin_factory_free ()

## Object Hierarchy

        GObject
        ╰── AnjutaCPluginFactory

## Includes

    #include <libanjuta/anjuta-c-plugin-factory.h>

## Description

AnjutaCPluginFactory implements the IAnjutaPluginFactory interface. This interface is used to create new plugin objects in Anjuta.

This plugin factory creates new plugin objects which have a source code written in C. This factory is always available in Anjuta. Other plugin factories can be implemented as Anjuta plugins.

This plugin factory uses the GLib dynamic type support implemented in AnjutaCModule object to allow loading and unloading of plugins code. But if the plugins itself can be unloaded, the AnjutaCModule object must stay. If the plugin is needed later, it must be registed with the same module object. The factory take care of this and of creating the plugin object itself.

## Functions

### anjuta_c_plugin_factory_new ()

    AnjutaCPluginFactory *
    anjuta_c_plugin_factory_new (void);

Create a new AnjutaCPluginFactory object.

#### Returns

a new AnjutaCPluginFactory object.

### anjuta_c_plugin_factory_free ()

    void
    anjuta_c_plugin_factory_free (AnjutaCPluginFactory *factory);

Delete a AnjutaCPluginFactory object.

#### Parameters

factory | a AnjutaCPluginFactory |

## Types and Values

## See Also

AnjutaCModule, AnjutaPluginManager